### Method

# WebKit FaviconDatabase get_favicon_uri

#### Declaration [src]

    gchar*
    webkit_favicon_database_get_favicon_uri (
      WebKitFaviconDatabase* database,
      const gchar* page_uri
    )

#### Description [src]

Obtains the URI of the favicon for the given `page_uri`.

#### Parameters

`page_uri`

  Type: `const gchar*`

  URI of the page containing the icon.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

A newly allocated URI for the favicon, or `NULL` if the database doesn’t have a favicon for `page_uri`.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.